# Uses of Interface
org.opensaml.saml.metadata.resolver.impl.MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder

Packages that use MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder
Package
Description
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.

## Uses of MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder in org.opensaml.saml.metadata.resolver.impl

Classes in org.opensaml.saml.metadata.resolver.impl that implement MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder
Modifier and Type
Class
Description
`class`
`SAMLArtifactURLBuilder`
Implementation of `MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder` which understands `ArtifactCriterion`.
Fields in org.opensaml.saml.metadata.resolver.impl with type parameters of type MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder
Modifier and Type
Field
Description
`private List<MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder>`
MetadataQueryProtocolRequestURLBuilder.`urlBuilders`
List of secondary URL builders.
Constructor parameters in org.opensaml.saml.metadata.resolver.impl with type arguments of type MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder
Modifier
Constructor
Description
``
`MetadataQueryProtocolRequestURLBuilder(String baseURL, Function<String,String> transform, List<MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder> secondaryURLBuilders)`
Constructor.
``
`MetadataQueryProtocolRequestURLBuilder(String baseURL, List<MetadataQueryProtocolRequestURLBuilder.MetadataQueryProtocolURLBuilder> secondaryURLBuilders)`
Constructor.